Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002402Zandronum[All Projects] Suggestionpublic2015-08-13 23:122024-02-12 06:23
ReporterChronos Ouroboros 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Statusneeds reviewResolutionopen 
PlatformOSOS Version
Product Version3.0-beta 
Target VersionFixed in Version 
Summary0002402: (SBARINFO) Backport IfHealth
DescriptionPlease backport IfHealth out of order. I want/need it for my mod's HUD and this is the only way to do it. (Other than horrible, horrible hacks that will likely break very easily...)
Attached Files

- Relationships
has duplicate 0002542closed Backport sbarinfo 'ifHelath' from Zdoom development version 27ebfa7 
has duplicate 0002758closed Backport SBARINFO IfHealth 

-  Notes
User avatar (0013216)
Ivan (reporter)
2015-08-14 00:24

You can use ACS for checking the health of the player, give/take an inventory and check for it in SBARINFO.
User avatar (0015083)
StrikerMan780 (reporter)
2016-06-16 12:12
edited on: 2016-06-16 12:13

Which is a horrible hack. Giving and taking inventory items all of the time isn't friendly on bandwidth, either. It also misses out on the percent feature of IfHealth.

User avatar (0015107)
Fused (reporter)
2016-06-25 08:42

Having this would be great.
User avatar (0023066)
StrikerMan780 (reporter)
2024-02-09 16:23
edited on: 2024-02-09 16:24

Many years later, I'm finding myself needing this again. Sure, I can hack things together with ACS and Inventory items, but I'd rather not have to, especially for performance reasons (1-tic ACS loops can chug if there's too many, or get too big).

User avatar (0023068)
StrikerMan780 (reporter)
2024-02-11 03:40

Backported this myself. It was a very easy change to make. I just need dev permission on the repo so I can make a merge request.
User avatar (0023071)
StrikerMan780 (reporter)
2024-02-11 20:59
edited on: 2024-02-12 02:56

'https://foss.heptapod.net/zandronum/zandronum-stable/-/merge_requests/24 [^]'

Backported, tested. It works.


Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: Chronos Ouroboros Fused StrikerMan780
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-08-13 23:12 Chronos Ouroboros New Issue
2015-08-14 00:24 Ivan Note Added: 0013216
2015-12-07 20:39 Dusk Relationship added has duplicate 0002542
2015-12-07 20:39 Dusk Summary (SBARINFO) Backport IfHealth out of order => (SBARINFO) Backport IfHealth
2016-06-16 12:10 Dusk Relationship added has duplicate 0002758
2016-06-16 12:12 StrikerMan780 Note Added: 0015083
2016-06-16 12:13 StrikerMan780 Note Edited: 0015083 View Revisions
2016-06-25 08:42 Fused Note Added: 0015107
2024-02-09 16:23 StrikerMan780 Note Added: 0023066
2024-02-09 16:23 StrikerMan780 Note Edited: 0023066 View Revisions
2024-02-09 16:24 StrikerMan780 Note Edited: 0023066 View Revisions
2024-02-11 03:40 StrikerMan780 Note Added: 0023068
2024-02-11 20:59 StrikerMan780 Note Added: 0023071
2024-02-12 02:56 StrikerMan780 Note Edited: 0023071 View Revisions
2024-02-12 06:23 WaTaKiD Status new => needs review






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2024 MantisBT Team
Powered by Mantis Bugtracker